
Ryzom - Bug # 789

Status: Closed Priority: High
Author: lubos Category: Build
Created: 02/02/2010 Assignee:
Updated: 10/16/2010 Due date:
Subject: Fails To Build From Source with gcc-4.5
Description

Version 0.7.0 compiled without STLport has same problem like 0.5.0 from Debian:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=565104

History
#1 - 02/17/2010 08:34 pm - Spex
- Category set to Build
- Target version set to 0.8.0

lubos wrote:

Version 0.7.0 compiled without STLport has same problem like 0.5.0 from Debian:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=565104

lubos, is there a build log somewhere against the 0.7.0 version? There have been a number of changes, means the 0.5.x log is rather useless in
digging up the problem :-/

#2 - 02/18/2010 10:05 am - lubos
- File nel-g__-4.5.txt added

#3 - 02/19/2010 12:14 pm - Spex

Files, which cause the gcc-4.5 to spit errors at:

nel/src/misc/sheet_id.cpp
nel/src/misc/file.cpp
nel/src/misc/string_mapper.cpp
nel/src/pacs/global_retriever.h

Currently checking against other compiler versions and firing up unit tests at least for a small cross-check. gcc is getting more and more strict about the
syntax :-)

#4 - 02/19/2010 12:34 pm - kervala

Great job Spex :)

Btw the syntax : Fixed: #789 (without the "bug") would have updated the ticket :p
#5 - 02/19/2010 05:10 pm - sfb

kervala wrote:

Btw the syntax : Fixed: #789 (without the "bug") would have updated the ticket :p

While that's mostly true - when you commit with a Fixed: #nnn in your commit message what it does is flags the issue as "resolved" which still counts
as an open bug against the road map but it does however prompt ace and myself to review the issues and switch them to closed.

So anyway, what kervala said. Please commit with a message like: "Fixed: #nnn Description." It helps us. (=

#6 - 02/20/2010 06:25 pm - Spex

kervala wrote:

Great job Spex :)

Btw the syntax : Fixed: #789 (without the "bug") would have updated the ticket :p

I was thinking about adding "bug" or not; seems like I did it wrong this time >.<

Anyway, no idea if I catched all cases, and it should definitively be reviewed with the Microsoft compiler(s).

#7 - 09/29/2010 09:48 pm - kervala
- Project changed from NeL to Ryzom
- Category changed from Build to Build
- Target version deleted (0.8.0)

#8 - 10/16/2010 11:09 am - kervala
- Status changed from New to Closed
- Priority changed from Normal to High
- Target version set to Version 0.7.0
- % Done changed from 0 to 100

Applied in SVN r2265 by Spex :)

Files
nel-g__-4.5.txt 2.8 kB 02/18/2010 lubos
